<?php

namespace app\admin\service\order;

use app\model\Order;
use support\Redis;

class OrderService
{

    /**
     * @Desc 自动确认收货
     * @Author Gorden
     * @Date 2024/4/11 16:09
     *
     * @return void
     */
    public static function AutomaticReceipt()
    {
        $redis = Redis::connection();
        $key = Order::AUTOMATIC_RECEIPT_PREFIX . date('Ymd');
        if (!$redis->exists($key)) {
            return;
        }
        try {
            $orderIds = $redis->smembers($key);
            Order::whereIn('order_id', $orderIds)->update(['order_is_complete' => 'Y', 'order_status_system' => 'CONFIRM']);
            $redis->del($key);
        } catch (\Exception $e) {
        }
    }
}