<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class OrderSheet extends Model
{
    protected $table = 'order_sheet';

    protected $primaryKey = 'order_sheet_id';

    protected $dateFormat = 'U';

    const CREATED_AT = 'order_sheet_addtimes';

    const UPDATED_AT = null;

    public function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    /**
     * @Desc 关联Member
     * @Author Gorden
     * @Date 2024/3/29 9:18
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function member()
    {
        return $this->hasOne(Member::class, 'member_id', 'join_sheet_member_id');
    }

    /**
     * @Desc 关联Goods
     * @Author Gorden
     * @Date 2024/3/29 9:19
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function goods()
    {
        return $this->hasOne(Goods::class, 'goods_id', 'join_sheet_goods_id');
    }

    /**
     * @Desc 关联订单
     * @Author Gorden
     * @Date 2024/3/29 9:19
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function order()
    {
        return $this->hasOne(Order::class, 'order_id', 'join_sheet_order_id');
    }
}